## ros-rolling-swri-prefix-tools 3.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(swri_prefix_tools)

find_package(ament_cmake REQUIRED)

install(PROGRAMS xterm_prefix
                 xterm_prefix_callgrind
                 xterm_prefix_callgrind_wait
                 xterm_prefix_gdb
                 xterm_prefix_hold
                 xterm_prefix_normal
        DESTINATION bin
)

ament_package()

=== debian/changelog ===
ros-rolling-swri-prefix-tools (3.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- P. J. Reed <preed@swri.org>  Wed, 17 Nov 2021 22:13:02 -0000

ros-rolling-swri-prefix-tools (3.3.2-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.3.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.3.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.2.1-1focal) focal; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.2.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.1.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.5-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.4-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.3-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.2-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.0-1focal) focal; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.10.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.9.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.8.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.3-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.2-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.6.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.5.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.4.0-1focal) focal; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.3.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.2.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.2.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.1.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-rolling-swri-prefix-tools (2.0.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (1.2.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (1.1.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 31 Aug 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (1.0.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.3.0-1focal) focal; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 20 Jun 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.4-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.3-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 09 Dec 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.2-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 07 Dec 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 21 Jun 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.1.5-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 13 May 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.1.4-1focal) focal; urgency=high

  * Adds missing dependency for swri_prefix_tools
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Thu, 12 May 2016 00:00:00 -0000

ros-rolling-swri-prefix-tools (0.1.3-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-swri-prefix-tools
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-rolling-swri-prefix-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, ros-rolling-ros-workspace
Description: Contains scripts that are useful as prefix commands for nodes started by roslaunch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-swri-prefix-tools//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-swri-prefix-tools 3.6.1

=== debian/changelog ===
ros-rolling-swri-prefix-tools (3.6.1-1jammy) jammy; urgency=high

  * Fixing Buildfarm Issues (#716 <https://github.com/swri-robotics/marti_common/issues/716>)
    * Cleaning up code to fix build farm errors
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 11 Sep 2023 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.6.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 22 Aug 2023 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.5.4-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 14 Aug 2023 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.5.3-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.5.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 30 May 2023 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.5.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Nov 2022 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.5.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 11 Oct 2022 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.4.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.3.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.3.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.3.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.2.1-1jammy) jammy; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.2.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.5-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 05:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.4-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.3-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (3.0.0-1jammy) jammy; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.10.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.9.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.8.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.3-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.7.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.6.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.5.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.4.0-1jammy) jammy; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.3.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.2.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-rolling-swri-prefix-tools (2.2.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-rolling-swri-prefix-tools (2.0.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-rolling-swri-prefix-tools (1.2.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-rolling-swri-prefix-tools (1.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-rolling-swri-prefix-tools (1.0.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-rolling-swri-prefix-tools (0.3.0-1jammy) jammy; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-rolling-swri-prefix-tools (0.2.4-1jammy) jammy; urgency=high





=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-rolling-swri-prefix-tools
 Section: misc
 Priority: optional
-Maintainer: P. J. Reed <preed@swri.org>
+Maintainer: Southwest Research Institute <swri-robotics@swri.org>
 Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
 Homepage: https://github.com/swri-robotics/marti_common
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
